
<?php 
if ($acss_sub_rule_title) {
	$acss_title = $acss_sub_rule_title;
} else {
	$acss_title = 'Add Title';
}
?>
<div class="afacr-add-new-rule-item">
	<?php wp_nonce_field('acss_action_nonce', 'acss_nonce_field'); ?>
	  <div class="afacr-add-new-rule-title" id="rule_div_acss_<?php echo esc_html( $sub_rule_id ); ?>">
		  <input value="#<?php echo esc_html($sub_rule_id); ?>" readonly class="id_class" name="id_sub_rules">&nbsp;
		  <b><?php echo esc_html($acss_title); ?></b><span>
		<ul>
			  <li class="afacr-rule-expand dashicons dashicons-arrow-down" title="expand" aria-hidden="true"></li>
			  <li><a id="acss_add_new_rule_btn" class="acss_remove_btn" data-rule_id ="<?php echo esc_html( $sub_rule_id ); ?>" ><?php echo esc_html__('Remove', 'addify_css'); ?> </a></li>
		 </ul></span>
	  </div>
	<div class="afacr-add-new-rule-content" id="filter-row-rule">
		<div class="afacr-row">
			<div class="afacr-col-3">
				<div class="afacr-input-field">

					<label><?php echo esc_html__('Title', 'addify_css'); ?></label>
						<input value="<?php echo esc_attr( $acss_sub_rule_title ); ?>" placeholder="Add Title" type="text" id="" name="acss_title_field[<?php echo intval($sub_rule_id); ?>]" class="acss_titleinput_field" />
					
				</div>
			</div>
			<div class="afacr-col-3 afcss_updated_div">
				<div class="afacr-input-field">

					<label><?php echo esc_html__('Menu Order', 'addify_css'); ?></label>
						<input value="<?php echo esc_attr( $acss_sub_rule_menu ); ?>" placeholder="Menu Order" type="text" id="" name="acss_menu_order[<?php echo intval($sub_rule_id); ?>]" class="acss_titleinput_field" />
					
				</div>
			</div>
			<div class="afacr-col-3">
				<center><ul>
					<li><label><?php echo esc_html__('Out of Stock', 'addify_css'); ?></label>
						<div class="acss_qty_range_table">
						<input type="checkbox" value="yes" <?php checked('yes', esc_html( $acss_out_of_stock ) ); ?> id="cs_out_of_stock_enable" name="acss_enableout_of_stock[<?php echo intval($sub_rule_id); ?>]" class="css_out_of_stock_enable" />
					</div></li>
				</ul></center>
			</div>
			<div class="afacr-col-3">
				<center><ul>
					<li><label><?php echo esc_html__('Back Orders', 'addify_css'); ?></label>
						<div class="acss_qty_range_table">
						<input type="checkbox" value="yes" <?php checked('yes', esc_html( $acss_back_orders ) ); ?> id="acss_back_orders" name="acss_back_orders[<?php echo intval($sub_rule_id); ?>]" class="css_back_orders" />
					</div></li>
				</ul></center>
			</div>
			<div class="afacr-col-3" id="cs_stock_range">
				<div class="afacr-select-range">
					<ul>
						<label><?php echo esc_html__('Stock Range', 'addify_css'); ?></label>
						<li>
							<input value="<?php echo esc_attr($acss_stock_min); ?>" placeholder="Min Qty" type="number" min="0" id="acss_stock_min" name="acss_min_stock[<?php echo intval($sub_rule_id); ?>]" class="acss_qty_range_table" />
						</li>
						<li>
							<input value="<?php echo esc_attr($acss_stock_max); ?>" placeholder="Max Qty" type="number" min="0" id="acss_stock_max" name="acss_max_stock[<?php echo intval($sub_rule_id); ?>]" class="acss_qty_range_table"/>
						</li>
					</ul>
				</div>
			</div>
			<div class="afcss-col-6" >
					<label><?php echo esc_html__('Message Type', 'addify_css'); ?></label>
					<select name="acss_select_message[<?php echo intval($sub_rule_id); ?>]" id="acss_message_types" class="css_input acss_select_message">
						<option value="select" <?php echo selected('select', $message_type); ?>><?php echo esc_html__( 'Select Message Type', 'addify_css' ); ?> </option>
						<option value="text"  <?php echo selected('text', $message_type); ?>> <?php echo esc_html__( 'Text Message', 'addify_css' ); ?> </option>
						<option value="icon"  <?php echo selected('icon', $message_type); ?>> <?php echo esc_html__( 'Text Message with Icon', 'addify_css' ); ?></option>
						<option value="image"  <?php echo selected('image', $message_type); ?> > <?php echo esc_html__( 'Image', 'addify_css' ); ?></option>
						<option value="date"  <?php echo selected('date', $message_type); ?>> <?php echo esc_html__( 'Text Message with Date', 'addify_css' ); ?></option>
					</select>
			</div>
			<div class="afacr-col-12" >
			<table class="message_type_table">
				<tr class="select">
					<td class="afacr-message-type-select">
						<span class="css_input_msg" ><?php echo esc_html__('Select Message Type First !', 'addify_css'); ?></span>
					</td>
				</tr>
				<tr class="hiddenbox text">
					<td class="afacr-message-type-text">
						<label><?php echo esc_html__('Text Message', 'addify_css'); ?></label>
						<input type="text" name="acss_text_message[<?php echo intval($sub_rule_id); ?>]" class="acss_title_only_input_field" placeholder="Message Type Text" value="<?php echo esc_attr($acss_message); ?>">
						<p><?php echo esc_html__( 'Use {stock_qty} variable to show stock quantity.', 'addify_css' ); ?></p>
					</td>
				</tr>
				<tr class="hiddenbox icon">
					<td class="afacr-message-type-iconmessage">
						<label><?php echo esc_html__('Text Message with icon', 'addify_css'); ?></label>
						<input type="text" name="acss_icon_message[<?php echo intval($sub_rule_id); ?>]" class="acss_titleinput_field" placeholder="Message Type Text" value="<?php echo esc_attr($acss_icon_message); ?>">
						<p><?php echo esc_html__( 'Use {stock_qty} variable to show stock quantity.', 'addify_css' ); ?></p>
					</td>
					<td class="afacr-message-type-icon">
						<label><?php echo esc_html__('Icon', 'addify_css'); ?></label>
						<?php if ($acss_icon) { ?>
						<img id="css_image_<?php echo esc_html($sub_rule_id); ?>" src="<?php echo esc_attr($acss_icon); ?>"><br>
						<?php } else { ?>
						<img id="css_image_<?php echo esc_html($sub_rule_id); ?>" src="<?php echo esc_attr($acss_icon); ?>" ><br>
					<?php } ?>
							<input type="hidden" id="acss_image_url_<?php echo esc_html($sub_rule_id); ?>" size='50' name="acss_icon[<?php echo intval($sub_rule_id); ?>]" value="<?php echo esc_attr($acss_icon); ?>">

							<input onclick="afUpload_image('<?php echo intval($sub_rule_id); ?>')" type="button" id="acss_image_btn_<?php echo esc_html($sub_rule_id); ?>" size="20" value="Upload Icon" class="icon_button_class" name="acss_icon[<?php echo intval($sub_rule_id); ?>]"> 

							<input onclick="afRemove_image('<?php echo intval($sub_rule_id); ?>')" type="button" id="acss_image_rem_btn_<?php echo esc_html($sub_rule_id); ?>" size="20" value="Remove Icon" class="icon_button_class" name="acss_icon[<?php echo intval($sub_rule_id); ?>]">
					</td> 
				</tr>
				<tr class="hiddenbox image">
					<td class="afacr-message-type-image">
						<label><?php echo esc_html__('Image', 'addify_css'); ?></label>
						<?php if ($acss_image) { ?>
						<img id="css_only_image_<?php echo esc_html($sub_rule_id); ?>" src="<?php echo esc_url($acss_image); ?>"><br>
						<?php } else { ?>
							<img id="css_only_image_<?php echo esc_html($sub_rule_id); ?>"><br>
							<?php } ?>

						<input type="hidden" id="acss_only_image_url_<?php echo esc_html($sub_rule_id); ?>" size='50' name="acss_image[<?php echo intval($sub_rule_id); ?>]" value="<?php echo esc_attr($acss_image); ?>">

						<input type="button" onclick="afUpload_only_image('<?php echo intval($sub_rule_id); ?>')" id="acss_only_image_btn_<?php echo esc_html($sub_rule_id); ?>" size="20" value="Upload Image" class="icon_button_class" name="acss_image[<?php echo intval($sub_rule_id); ?>]">

						<input type="button" onclick="afRemove_only_image('<?php echo intval($sub_rule_id); ?>')" id="acss_onlyimage_rem_btn_<?php echo esc_html($sub_rule_id); ?>" size="20" value="Remove Image" class="icon_button_class" name="acss_image[<?php echo intval($sub_rule_id); ?>]">
					</td>
				</tr>
				<tr class="hiddenbox date">
					<td class="afacr-message-type-datemessage">
						<label><?php echo esc_html__('Text Message with Date', 'addify_css'); ?></label>
						<input type="text" name="acss_date_message[<?php echo intval($sub_rule_id); ?>]" class="acss_titleinput_field" placeholder="Message Type Text" value="<?php echo esc_attr($acss_date_message); ?>">
						<p><?php echo esc_html__( 'Use {stock_qty} variable to show stock quantity.', 'addify_css' ); ?></p>
					</td>
					<td class="afacr-message-type-date">
						<label><?php echo esc_html__('Date Selector', 'addify_css'); ?></label>
						<input type="date" class="css_input" name="acss_date[<?php echo intval($sub_rule_id); ?>]" id="acss_date[]" value="<?php echo esc_attr($acss_date); ?>" />
					</td> 
				</tr>
				<tr class="hiddenbox_color_instock">
					<td class="acssm_numback_clr">
						<label><?php echo esc_html__('Select Font Color(In Stock)', 'addify_css'); ?></label>
						<input type="color" name="acss_instock_color[<?php echo intval($sub_rule_id); ?>]" class="" value="<?php echo esc_attr($acss_instock_color); ?>">
						<p><?php echo esc_html__( 'Select color to show custom message for instock.', 'addify_css' ); ?></p>
					</td>	
				 
					<td class="acssm_numback_clr">
						<label><?php echo esc_html__('Select Font size(In Stock)', 'addify_css'); ?></label>
						<input type="number" name="acss_instock_font[<?php echo intval($sub_rule_id); ?>]" class=" " value="<?php echo esc_attr($acss_instock_font); ?>">
						<p><?php echo esc_html__( 'Select Font Size to show custom message for instock.', 'addify_css' ); ?></p>
					</td>	
				</tr>
				<tr class="hiddenbox_color_outstock ">
					<td class="acssm_numback_clr">
						<label><?php echo esc_html__('Select Font color(Out of Stock)', 'addify_css'); ?></label>
						<input type="color" name="acss_outstock_color[<?php echo intval($sub_rule_id); ?>]" class="" value="<?php echo esc_attr($acss_outstock_color); ?>">
						<p><?php echo esc_html__( 'Select color to show custom message for out of stock.', 'addify_css' ); ?></p>
					</td>
					<td class="acssm_numback_clr">
						<label><?php echo esc_html__('Select Font size(Out of Stock)', 'addify_css'); ?></label>
						<input type="number" name="acss_outstock_font[<?php echo intval($sub_rule_id); ?>]" class="" value="<?php echo esc_attr($acss_outstock_font); ?>">
						<p><?php echo esc_html__( 'Select Font size to show custom message for out of stock.', 'addify_css' ); ?></p>
					</td>
				</tr>
				<tr class="hiddenbox_color_onbackorder">
					<td class="acssm_numback_clr">
						<label><?php echo esc_html__('Select Font Color(Back order)', 'addify_css'); ?></label>
						<input type="color" name="acss_backorder_color[<?php echo intval($sub_rule_id); ?>]" class="" value="<?php echo esc_attr($acss_backorder_color); ?>">
						<p><?php echo esc_html__( 'Select color to show custom message for onbackorder.', 'addify_css' ); ?></p>
					</td>	
					<td class="acssm_numback_clr">
						<label><?php echo esc_html__('Select Font size(Back order)', 'addify_css'); ?></label>
						<input type="number" name="acss_backorder_font[<?php echo intval($sub_rule_id); ?>]" class="" value="<?php echo esc_attr($acss_backorder_font); ?>">
						<p><?php echo esc_html__( 'Select Font size to show custom message for onbackorder.', 'addify_css' ); ?></p>
					</td>	
				</tr>
			</table>
			</div>
		</div>
	</div>
</div>
