<?php
/**
 * Admin file of Module
 *
 * Manage all settings and actions of admin
 *
 * @package  addify-custom-stock-status/includes/meta-boxes
 * @version  1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

global $post;
$product_enable     = get_post_meta( $post->ID, 'acss_product_enable', true );
$acss_products      = unserialize( get_post_meta( intval( $post->ID ), 'acss_products', true ) );
$acss_products_cate = unserialize( get_post_meta( intval( $post->ID ), 'acss_products_cate', true ) );

?>

<div class="afacr-metabox-fields">
	<?php wp_nonce_field('acss_action_nonce', 'acss_nonce_field'); ?>
	<table class="addify-table-optoin">

		<tr class="addify-option-field">
			<th>
				<div class="option-head">
					<h3>
						<?php echo esc_html__( 'Apply on all products', 'addify_css' ); ?>
					</h3>
				</div>
			</th>
			<td>
				<input type="checkbox" name="acss_product_enable" id="acss_product_enable" value="yes" <?php checked( 'yes', esc_html( $product_enable )); ?> >
				<p><?php echo esc_html__( 'Apply on all products', 'addify_css' ); ?></p>
			</td>
		</tr>
		<tr class="addify-option-field">
			<th>
				<div class="option-head">
					<h3>
						<?php echo esc_html__( 'Select Products', 'addify_css' ); ?>
					</h3>
				</div>
			</th>
			<td>
				<select name="acss_products[]" id="acss_products" class="acss_products" multiple="multiple" >
					<?php

					if ( ! empty( $acss_products ) ) {

						foreach ( $acss_products as $pro ) {

							$prod_post = get_post( $pro );

							?>
						<option value="<?php echo intval( $pro ); ?>" selected="selected"><?php echo esc_attr( $prod_post->post_title ); ?></option>

							<?php
						}
					}
					?>
		</select>
				<p><?php echo esc_html__( 'Choose Products on which you want to apply rule.', 'addify_css' ); ?></p>
			</td>
		</tr>
		<tr class="addify-option-field">
			<th>
				<div class="option-head">
					<h3>
						<?php echo esc_html__( 'Select Products Categories', 'addify_css' ); ?>
					</h3>
				</div>
			</th>
			<td>
				<div class="all_cats">
						<ul>
				<?php

				$pre_vals = $acss_products_cate ;

				$args = array(
					'taxonomy'   => 'product_cat',
					'hide_empty' => false,
					'parent'     => 0,
				);

				$product_cat = get_terms( $args );
				foreach ( $product_cat as $parent_product_cat ) {
					?>
								<li class="par_cat">
									<input type="checkbox" class="parent" name="acss_products_cate[]" id="acss_products_cate" value="<?php echo intval( $parent_product_cat->term_id ); ?>" 
					<?php
					if ( ! empty( $pre_vals ) && in_array( $parent_product_cat->term_id, $pre_vals ) ) {
						echo 'checked';
					}
					?>
									/>
					<?php echo esc_attr( $parent_product_cat->name ); ?>

					<?php
					$child_args         = array(
						'taxonomy'   => 'product_cat',
						'hide_empty' => false,
						'parent'     => intval( $parent_product_cat->term_id ),
					);
					$child_product_cats = get_terms( $child_args );
					if ( ! empty( $child_product_cats ) ) {
						?>
										<ul>
						<?php foreach ( $child_product_cats as $child_product_cat ) { ?>
												<li class="child_cat">
													<input type="checkbox" class="child parent" name="acss_products_cate[]" id="acss_products_cate" value="<?php echo intval( $child_product_cat->term_id ); ?>" 
							<?php
							if ( ! empty( $pre_vals ) && in_array( $child_product_cat->term_id, $pre_vals ) ) {
								echo 'checked';
							}
							?>
													/>
							<?php echo esc_attr( $child_product_cat->name ); ?>

							<?php
							// 2nd level
							$child_args2 = array(
								'taxonomy'   => 'product_cat',
								'hide_empty' => false,
								'parent'     => intval( $child_product_cat->term_id ),
							);

							$child_product_cats2 = get_terms( $child_args2 );
							if ( ! empty( $child_product_cats2 ) ) {
								?>

														<ul>
								<?php foreach ( $child_product_cats2 as $child_product_cat2 ) { ?>

																<li class="child_cat">
																	<input type="checkbox" class="child parent" name="acss_products_cate[]" id="acss_products_cate" value="<?php echo intval( $child_product_cat2->term_id ); ?>" 
									<?php
									if ( ! empty( $pre_vals ) && in_array( $child_product_cat2->term_id, $pre_vals ) ) {
										echo 'checked';
									}
									?>
																	/>
									<?php echo esc_attr( $child_product_cat2->name ); ?>


									<?php
									// 3rd level
									$child_args3 = array(
										'taxonomy'   => 'product_cat',
										'hide_empty' => false,
										'parent'     => intval( $child_product_cat2->term_id ),
									);

									$child_product_cats3 = get_terms( $child_args3 );
									if ( ! empty( $child_product_cats3 ) ) {
										?>

																		<ul>
										<?php foreach ( $child_product_cats3 as $child_product_cat3 ) { ?>

																				<li class="child_cat">
																					<input type="checkbox" class="child parent" name="acss_products_cate[]" id="acss_products_cate" value="<?php echo intval( $child_product_cat3->term_id ); ?>" 
											<?php
											if ( ! empty( $pre_vals ) && in_array( $child_product_cat3->term_id, $pre_vals ) ) {
												echo 'checked';
											}
											?>
																					/>
											<?php echo esc_attr( $child_product_cat3->name ); ?>


											<?php
											// 4th level
											$child_args4 = array(
												'taxonomy' => 'product_cat',
												'hide_empty' => false,
												'parent'   => intval( $child_product_cat3->term_id ),
											);

											$child_product_cats4 = get_terms( $child_args4 );
											if ( ! empty( $child_product_cats4 ) ) {
												?>

																						<ul>
												<?php foreach ( $child_product_cats4 as $child_product_cat4 ) { ?>

																								<li class="child_cat">
																									<input type="checkbox" class="child parent" name="acss_products_cate[]" id="acss_products_cate" value="<?php echo intval( $child_product_cat4->term_id ); ?>"
													<?php
													if ( ! empty( $pre_vals ) && in_array( $child_product_cat4->term_id, $pre_vals ) ) {
														echo 'checked';
													}
													?>
																									/>
													<?php echo esc_attr( $child_product_cat4->name ); ?>


													<?php
													// 5th level
													$child_args5 = array(
														'taxonomy' => 'product_cat',
														'hide_empty' => false,
														'parent'   => intval( $child_product_cat4->term_id ),
													);

													$child_product_cats5 = get_terms( $child_args5 );
													if ( ! empty( $child_product_cats5 ) ) {
														?>

																										<ul>
														<?php foreach ( $child_product_cats5 as $child_product_cat5 ) { ?>

																												<li class="child_cat">
																													<input type="checkbox" class="child parent" name="acss_products_cate[]" id="acss_products_cate" value="<?php echo intval( $child_product_cat5->term_id ); ?>" 
															<?php
															if ( ! empty( $pre_vals ) && in_array( $child_product_cat5->term_id, $pre_vals ) ) {
																echo 'checked';
															}
															?>
																													/>
															<?php echo esc_attr( $child_product_cat5->name ); ?>


															<?php
															// 6th level
															$child_args6 = array(
																'taxonomy' => 'product_cat',
																'hide_empty' => false,
																'parent'   => intval( $child_product_cat5->term_id ),
															);

															$child_product_cats6 = get_terms( $child_args6 );
															if ( ! empty( $child_product_cats6 ) ) {
																?>

																														<ul>
																<?php foreach ( $child_product_cats6 as $child_product_cat6 ) { ?>

																																<li class="child_cat">
																																	<input type="checkbox" class="child" name="acss_products_cate[]" id="acss_products_cate" value="<?php echo intval( $child_product_cat6->term_id ); ?>" 
																	<?php
																	if ( ! empty( $pre_vals ) && in_array( $child_product_cat6->term_id, $pre_vals ) ) {
																		echo 'checked';
																	}
																	?>
																																	/>
																	<?php echo esc_attr( $child_product_cat6->name ); ?>
																																</li>

																<?php } ?>
																														</ul>

															<?php } ?>

																												</li>

														<?php } ?>
																										</ul>

													<?php } ?>


																								</li>

												<?php } ?>
																						</ul>

											<?php } ?>


																				</li>

										<?php } ?>
																		</ul>

									<?php } ?>

																</li>

								<?php } ?>
														</ul>

							<?php } ?>

												</li>
						<?php } ?>
										</ul>
					<?php } ?>

								</li>
					<?php
				}
				?>
						</ul>
					</div>

				<p><?php echo esc_html__( 'Select Products Categories.', 'addify_css' ); ?></p>
			</td>
		</tr>
	</table>
</div>
