<?php
/**
 * Admin file of Module
 *
 * Manage all settings and actions of admin
 *
 * @package  addify-custom-stock-status/includes/meta-boxes
 * @version  1.0.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

global $post;

$rulepriority    = get_post_meta( $post->ID, 'acss_value', true );
$acss_user_roles = get_post_meta( $post->ID, 'acss_userroles', true );

?>
<div class="afacr-metabox-fields">
	<?php wp_nonce_field('acss_action_nonce', 'acss_nonce_field'); ?>
	<table class="addify-table-optoin">
		<tr class="addify-option-field">
			<th>
				<div class="option-head">
					<h3>
						<?php echo esc_html__( 'User Roles', 'addify_css' ); ?>
					</h3>
				</div>
			</th>
			<td>
				<div class="all_cats">
					<?php 
					$acss_userroles = unserialize($acss_user_roles);
					global $wp_roles;
					$roles = $wp_roles->get_names();
					foreach ($roles as $key => $value) {
						?>
					<ul>
					<input type="checkbox" name="acss_userroles[]" id="acss_userroles" value="<?php echo esc_attr( $key ); ?>" 
						<?php
						if ( is_array( $acss_userroles ) && in_array( $key, $acss_userroles ) ) {
							echo 'checked';
						} 
						?>
					 />
						<?php echo esc_attr(translate_user_role( $value , 'default')); ?>
					</ul>
			<?php } ?>
			<input type="checkbox" name="acss_userroles[]" id="acss_userroles" value="guest" 
			<?php 
			if ( is_array( $acss_userroles ) && in_array( 'guest' , $acss_userroles ) ) {
						echo 'checked';
			} 
			?>
			/>
			<?php echo esc_html__( 'Guest' , 'addify_css') ; ?>
		</div>
				<p><?php echo esc_html__( 'Select User Roles.', 'addify_css' ); ?></p>
			</td>
		</tr>
		</table>
	</div>
