<?php
/**
 *
 * Save the data of all meta boxes 
 *
 * @package  addify-custom-stock-status/includes/meta-boxes
 * @version  1.1.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if (defined('DOING_AUTOSAVE') && DOING_AUTOSAVE) {
	return;
}

if (!current_user_can('edit_posts')) {
	return;
}
	 
	$exclude_statuses = array(
		'auto-draft',
		'trash'
	);
	$action_afcss     = isset( $_GET['action'] ) ? sanitize_text_field( wp_unslash( $_GET['action'] ) ) : '';
	if ( !in_array( get_post_status($post_id), $exclude_statuses ) && !is_ajax() && 'untrash' != $action_afcss ) {	

		$nonce =isset($_POST['acss_nonce_field']) ? sanitize_text_field($_POST['acss_nonce_field']) : 0;
		if (! wp_verify_nonce($nonce, 'acss_action_nonce') ) {
			 die('Security Failed Meta Box');
		}

		if ( isset( $_POST['acss_value'] ) ) {
			update_post_meta( $post_id, 'acss_value', sanitize_text_field( wp_unslash( $_POST['acss_value'] ) ) );
		}

		if ( isset( $_POST['acss_userroles'] ) ) {
			update_post_meta( intval( $post_id ), 'acss_userroles', serialize( sanitize_meta( '', $_POST['acss_userroles'], '' ) ) );
		} else {
			update_post_meta( intval( $post_id ), 'acss_userroles', '' );
		}

		// Product Rules


		if ( isset( $_POST['acss_product_enable'] ) ) {
			update_post_meta( intval( $post_id ), 'acss_product_enable', esc_attr( sanitize_text_field( $_POST['acss_product_enable'] ) ) );
		} else {
			update_post_meta( intval( $post_id ), 'acss_product_enable', 'no' );
		}
		if ( isset( $_POST['acss_products'] ) ) {
			update_post_meta( intval( $post_id ), 'acss_products', serialize( sanitize_meta( 'acss_products', $_POST['acss_products'], '' ) ) );
		} else {
			update_post_meta( intval( $post_id ), 'acss_products', '' );
		}

		if ( isset( $_POST['acss_products_cate'] ) ) {
			update_post_meta( intval( $post_id ), 'acss_products_cate', serialize( sanitize_meta( 'acss_products_cate', $_POST['acss_products_cate'], '' ) ) );
		} else {
			update_post_meta( intval( $post_id ), 'acss_products_cate', '' );
		}


		// Sub Rules For Messages
		if ( isset( $_POST['acss_sub_rule'] ) ) {
			update_post_meta( $post_id, 'acss_sub_rule', serialize( sanitize_meta( '', $_POST['acss_sub_rule'], '' ) ) );
		} else {
			delete_post_meta( $post_id, 'acss_sub_rule' );
		}
		remove_action( 'save_post', array( $this, 'addify_acss_save_metadata' ), 10, 2 );
		$args      = array(
		'numberposts' => -1,
		'post_type'   => 'acss_sub_rules',
		'post_status' => array('publish' , 'draft'),
		'orderby'    => 'post_date',
		'order'      =>'ASC',
		'post_parent' => $post->ID,
		);
		$sub_rules = new WP_Query($args);
		$sub_rules = $sub_rules->get_posts();
		if (!empty($sub_rules)) {
			foreach ($sub_rules as $sub_rule) {
				if ( isset ( $_POST['acss_title_field'][$sub_rule->ID] ) ) {
					 $sub_rule_title = sanitize_text_field( wp_unslash ( $_POST['acss_title_field'][$sub_rule->ID] ) );
				} else {
					$sub_rule_title = '';
				}
				if ( isset ( $_POST['acss_menu_order'][$sub_rule->ID] ) ) {
					 $acss_menu_order = sanitize_text_field( wp_unslash ( $_POST['acss_menu_order'][$sub_rule->ID] ) );
				} else {
					$acss_menu_order = '';
				}
				$acss_s_rules = array(
				'ID'           => $sub_rule->ID,
				'post_title'   => $sub_rule_title,
				'post_status'  => 'publish',
				'menu_order'   => $acss_menu_order,
				);
				wp_update_post($acss_s_rules);
				if ( isset( $_POST['acss_min_stock'][$sub_rule->ID] ) ) {
					update_post_meta( $sub_rule->ID, 'acss_min_stock', sanitize_text_field( wp_unslash( $_POST['acss_min_stock'][$sub_rule->ID] ) ) );

				} else {
					update_post_meta( $sub_rule->ID, 'acss_min_stock', '' );
				}
				if ( isset( $_POST['acss_max_stock'][$sub_rule->ID] ) ) {
					update_post_meta( $sub_rule->ID, 'acss_max_stock', sanitize_text_field( wp_unslash( $_POST['acss_max_stock'][$sub_rule->ID] ) ) );
				} else {
					update_post_meta( $sub_rule->ID, 'acss_max_stock', '' );
				} 
				if ( isset( $_POST['acss_enableout_of_stock'][$sub_rule->ID] ) ) {
					update_post_meta( $sub_rule->ID, 'acss_enableout_of_stock', sanitize_text_field( wp_unslash( $_POST['acss_enableout_of_stock'][$sub_rule->ID] ) ) );
				} else {
					update_post_meta( $sub_rule->ID, 'acss_enableout_of_stock', '' );
				}
				if ( isset( $_POST['acss_back_orders'][$sub_rule->ID] ) ) {
					update_post_meta( $sub_rule->ID, 'acss_back_orders', sanitize_text_field( wp_unslash( $_POST['acss_back_orders'][$sub_rule->ID] ) ) );
				} else {
					update_post_meta( $sub_rule->ID, 'acss_back_orders', '' );
				} 
				if ( isset( $_POST['acss_select_message'][$sub_rule->ID] ) ) {
					update_post_meta( $sub_rule->ID, 'acss_select_message', sanitize_text_field( wp_unslash( $_POST['acss_select_message'][$sub_rule->ID] ) ) );
				} else {
					update_post_meta( $sub_rule->ID, 'acss_select_message', '' );
				}
				if ( isset( $_POST['acss_text_message'][$sub_rule->ID] ) ) {
					update_post_meta( $sub_rule->ID, 'acss_text_message', sanitize_text_field( wp_unslash( $_POST['acss_text_message'][$sub_rule->ID] ) ) );
				} else {
					update_post_meta( $sub_rule->ID, 'acss_text_message', '' );
				}
				if ( isset( $_POST['acss_icon_message'][$sub_rule->ID] ) ) {
					update_post_meta( $sub_rule->ID, 'acss_icon_message', sanitize_text_field( wp_unslash( $_POST['acss_icon_message'][$sub_rule->ID] ) ) );
				} else {
					update_post_meta( $sub_rule->ID, 'acss_icon_message', '' );
				} 
				if ( isset( $_POST['acss_icon'][$sub_rule->ID] ) ) {
					update_post_meta( $sub_rule->ID, 'acss_icon', sanitize_text_field( wp_unslash( $_POST['acss_icon'][$sub_rule->ID] ) ) );
				} else {
					update_post_meta( $sub_rule->ID, 'acss_icon', '' );
				} 
				if ( isset( $_POST['acss_image'][$sub_rule->ID] ) ) {
					update_post_meta( $sub_rule->ID, 'acss_image', sanitize_text_field( wp_unslash( $_POST['acss_image'][$sub_rule->ID] ) ) );
				} else {
					update_post_meta( $sub_rule->ID, 'acss_image', '' );
				} 
				if ( isset( $_POST['acss_date_message'][$sub_rule->ID] ) ) {
					update_post_meta( $sub_rule->ID, 'acss_date_message', sanitize_text_field( wp_unslash( $_POST['acss_date_message'][$sub_rule->ID] ) ) );
				} else {
					update_post_meta( $sub_rule->ID, 'acss_date_message', '' );
				}
				if ( isset( $_POST['acss_date'][$sub_rule->ID] ) ) {
					update_post_meta( $sub_rule->ID, 'acss_date', sanitize_text_field( wp_unslash( $_POST['acss_date'][$sub_rule->ID] ) ) );
				} else {
					update_post_meta( $sub_rule->ID, 'acss_date', '' );
				}

				if ( isset( $_POST['acss_instock_color'][$sub_rule->ID] ) ) {
						update_post_meta( $sub_rule->ID, 'acss_instock_color', sanitize_text_field( wp_unslash( $_POST['acss_instock_color'][$sub_rule->ID] ) ) );
				} else {
					update_post_meta( $sub_rule->ID, 'acss_instock_color', '' );
				}
				if ( isset( $_POST['acss_outstock_color'][$sub_rule->ID] ) ) {
					update_post_meta( $sub_rule->ID, 'acss_outstock_color', sanitize_text_field( wp_unslash( $_POST['acss_outstock_color'][$sub_rule->ID] ) ) );
				} else {
					update_post_meta( $sub_rule->ID, 'acss_outstock_color', '' );
				} 
				if ( isset( $_POST['acss_backorder_color'][$sub_rule->ID] ) ) {
					update_post_meta( $sub_rule->ID, 'acss_backorder_color', sanitize_text_field( wp_unslash( $_POST['acss_backorder_color'][$sub_rule->ID] ) ) );
				} else {
					update_post_meta( $sub_rule->ID, 'acss_backorder_color', '' );
				} 
				if ( isset( $_POST['acss_instock_font'][$sub_rule->ID] ) ) {
					update_post_meta( $sub_rule->ID, 'acss_instock_font', sanitize_text_field( wp_unslash( $_POST['acss_instock_font'][$sub_rule->ID] ) ) );
				} else {
					update_post_meta( $sub_rule->ID, 'acss_instock_font', '' );
				}
				if ( isset( $_POST['acss_outstock_font'][$sub_rule->ID] ) ) {
					update_post_meta( $sub_rule->ID, 'acss_outstock_font', sanitize_text_field( wp_unslash( $_POST['acss_outstock_font'][$sub_rule->ID] ) ) );
				} else {
					update_post_meta( $sub_rule->ID, 'acss_outstock_font', '' );
				}
				if ( isset( $_POST['acss_backorder_font'][$sub_rule->ID] ) ) {
					update_post_meta( $sub_rule->ID, 'acss_backorder_font', sanitize_text_field( wp_unslash( $_POST['acss_backorder_font'][$sub_rule->ID] ) ) );
				} else {
					update_post_meta( $sub_rule->ID, 'acss_backorder_font', '' );
				}  
		
			}
		}
	}
	add_action( 'save_post', array( $this, 'addify_acss_save_metadata' ), 10, 2 );
